.\"  gv.man -- Man page for gv application
.\"  Copyright (C) 1992  Timothy O. Theisen
.\" 
.\"  This program is free software; you can redistribute it and/or modify
.\"  it under the terms of the GNU General Public License as published by
.\"  the Free Software Foundation; either version 2 of the License, or
.\"  (at your option) any later version.
.\" 
.\"  This program is distributed in the hope that it will be useful,
.\"  but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"  GNU General Public License for more details.
.\" 
.\"  You should have received a copy of the GNU General Public License
.\"  along with this program; if not, write to the Free Software
.\"  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
.\" 
.\"    Author: Tim Theisen           Systems Programmer
.\"  Internet: tim@cs.wisc.edu       Department of Computer Sciences
.\"      UUCP: uwvax!tim             University of Wisconsin-Madison
.\"     Phone: (608)262-0438         1210 West Dayton Street
.\"       FAX: (608)262-9777         Madison, WI   53706
.if t .ds Te T\\h'-0.1667m'\\v'0.20v'E\\v'-0.20v'\\h'-0.125m'X
.if n .ds Te TeX
.TH GHOSTVIEW 1
.SH NAME
\fIgv\fR \- View PostScript documents using ghostscript
.SH SYNOPSIS
.B gv
filename
.br
or
.br
.B gv
[\-monochrome] [\-grayscale] [\-color]
[\-[no]title] [\-[no]date] [\-[no]labels]
[\-resolution\ \fIdpi\fP] [\-dpi\ \fIdpi\fP]
[\-xdpi\ \fIdpi\fP] [\-ydpi\ \fIdpi\fP] [\-magstep\ \fIn\fP]
[\-[no]safer] [\-[no]quiet] [\-arguments\ \fIarguments\fP]
[\-[no]center]
[\-portrait] [\-landscape] [\-upsidedown] [\-seascape] [\-[no]swap]
[\-letter] [\-tabloid] [\-ledger] [\-legal] [\-statement]
[\-executive] [\-a3] [\-a4] [\-a5] [\-b4] [\-b5]
[\-folio] [\-quarto] [\-10x14]
[\-force] [\-forceorientation] [\-forcemedia]
[\-[no]openwindows] [\-[no]ncdwm]
[\-page \fIlabel\fP] [\-\fItoolkitoption\fR\ ...]
filename
.SH DESCRIPTION
The \fIgv\fP program provides an X11 user interface for
the \fIghostscript\fP interpreter.
\fIGv\fP and \fIghostscript\fP function as two cooperating programs.
\fIGv\fP creates the viewing window and \fIghostscript\fP draws in it.
.PP
Don't be alarmed by the number of options.
Generally, one invokes \fIgv\fP with just one parameter, the name of
the file to be previewed.  If the filename is ``-'', \fIgv\fP will read
from ``stdin''.
The options provide a way to set X resources from
the command line for a single invocation of \fIgv\fP.  For that reason,
discussion of the options is delayed until after the X resources are discussed.
.SH MAIN WINDOW
The main viewport is on the right side of the main window.
If the page is larger than the viewport, there will be scroll bars along the
bottom and right edges of the viewport.
To the left of the viewport is the table of contents.
If the PostScript file has document structuring convention (DSC) comments,
the table of context will display the page labels (i.e. usually page numbers).
To the left of the table of contents is the menu box.
Each push button brings up a popup menu.
Over the menu box and table of contents there are two optional labels
that contain the title and date.
The title label contains the document title found in the DSC comments.
If no title can be found, the filename is used in its place.
The date label contains the document date found in the DSC comments.
If no date can be found, the last modified date of the file is
used in its place.
Since the title and date labels may be clipped by the main viewport,
the date and title labels are push buttons that bring up a popup window
with the title or date.
These popup windows also show the ``document'' icon when the displayed string
comes from the DSC comments.
.PP
Within the main viewport the mouse cursor is a ``watch'' when
\fIghostscript\fP is doing work.
The cursor is a ``cross hair'' when \fIghostscript\fP is idle.
When moving to another page in a document, it is generally best to wait
for \fIghostscript\fP to become idle.  Otherwise, the current \fIghostscript\fP process
must be killed and the overhead of reading the prologue is incurred again.
.PP
\fIGv\fP will check to see if the file has been modified just before
it displays a page or when the application is deiconified.
If the file has changed, it will reopen the file.
.PP
In the table of contents, the first and third mouse button function exactly
as they do in a Text widget.
That is the first mouse button selects text and the third mouse button
extends selections.
However, clicking on a page label with the second mouse button will cause
that page to be shown.
The page being displayed is marked with a '<' in the right margin of
the table of contents.
.SH POPUP WINDOWS
There are several additional windows that may appear.
The \fIcopyright\fP window will appear whenever copyright information is
requested.
The \fIinformation\fP window appears whenever the \fIghostscript\fP process
writes to ``stdout'' or ``stderr''.
Whenever there is an error in the PostScript program, the stack trace will
appear in this window.
When \fIghostscript\fP is invoked without the quiet option, informational message
regarding the state of \fIghostscript\fP will appear in the \fIinformation\fP window.
The \fIcopyright\fP and \fIinformation\fP windows can be dismissed by pushing
the ``Dismiss'' button.
.SH MENUS
There are eight buttons in the menu box.  They are the
\fBNext Page\fP, \fBPrev Page\fP, \fBRedisplay\fP, \fBMagstep\fP, \fBOrientation\fP, \fBMedia\fP, \fBCopyright\fP, and \fBQuit\fP
buttons.
There are keyboard accelerators for most of the popup menus.  Be sure
to read the keyboard accelerator section.
.IP "\fBNext Page\fP" 1i
Display the next page.
.IP "\fBPrev Page\fP" 1i
Display the previous page.
.IP "\fBRedisplay\fP" 1i
Redisplay the current page.
If the file has changed, the new version is read.
.IP \fBMagstep\fP 1i
The Magstep menu controls the magnification at which the document is
viewed.
The default magstep of -2 makes a typical page approximately fill
a typical screen.
\fIGv\fP borrows the notion of magstep from \*(Te\&.  The magnification
is defined to be 1.2**magstep.  At magstep 1, the document is magnified
by 1.2.  At magstep -1, the document is reduced by 1.2.
The Magstep menu lists values from -5 to 5.
.IP \fBOrientation\fP 1i
The Orientation menu controls the display orientation.
A ``dot'' appears in front of the current orientation.
The first mouse button sets the default orientation.
The DSC comments may specify an orientation of Portrait or Landscape that
overrides the default.
In this case, a "document" appears in front of the current orientation.
The second mouse button can be used to ``force'' the orientation on
a document to override the DSC comments.
If an orientation is being forced, then a ``tie fighter'' will appear in
front of the current orientation.
.RS 1i
.IP "\fBPortrait\fP" 1i
Set the orientation to Portrait. This implies no rotation.
A portrait orientation indicates that the longest edge of the paper
is parallel to the vertical (y) axis.
.IP "\fBLandscape\fP" 1i
Set the orientation to Landscape.  This implies a clockwise rotation of the
paper by 90 degrees.
A landscape orientation indicates that the longest edge of the paper
is parallel to the horizontal (x) axis.
.IP "\fBUpside\-down\fP" 1i
Set the orientation to Upside\-Down.
.IP "\fBSeascape\fP" 1i
Set the orientation to Seascape.  This implies a counterclockwise rotation
of the paper by 90 degrees.
.IP "\fBSwap Landscape\fP" 1i
Swap the meaning of Landscape and Seascape.  Most of the Landscape documents
that I have encountered require a 90 clockwise rotation of the paper to
view.   However, there is no standard and some documents need to be rotated
the other way.  The swap landscape button allows \fIgv\fP to automatically
rotate the document the right way in response to the \fB%%Orientation\fP comment
in the PostScript file.
.RS -1i
.IP \fBMedia\fP 1i
The entries on the Media menu set the page media.
Media defined in the document appear at the beginning of the menu
separated by a line from the standard media.
A ``dot'' appears in front of the current media.
The first mouse button sets the default media.
The DSC comments may specify the page media that overrides the default.
In this case, a "document" appears in front of the current media.
The second mouse button can be used to ``force'' the media on
a document to override the DSC comments.
Forcing the media on an EPSF figure will override the Bounding Box.
This makes is easy to view a figure with an incorrect \fB%%BoundingBox\fP comment.
If a media is being forced, then a ``tie fighter'' will appear in
front of the current media.
.sp
Here are the standard media names and their sizes.
The size is given as the width and height in PostScript points.
.ta 1.5i 3.0i
.RS 1i
.nf
\fBLetter\fP	 612 x  792	(8.5 x 11  in.)
\fBTabloid\fP	 792 x 1224	(11  x 17  in.)
\fBLedger\fP	1224 x  792	(17  x 11  in.)
\fBLegal\fP	 612 x 1008	(8.5 x 14  in.)
\fBStatement\fP	 396 x  612	(5.5 x 8.5 in.)
\fBExecutive\fP	 540 x  720	(7.5 x 10  in.)
\fBA3\fP	 842 x 1190
\fBA4\fP	 595 x  842
\fBA5\fP	 420 x  595
\fBB4\fP	 729 x 1032
\fBB5\fP	 516 x  729
\fBFolio\fP	 612 x  936	(8.5 x 13  in.)
\fBQuarto\fP	 610 x  780
\fB10x14\fP	 720 x 1008	(10  x 14  in.)
.fi
.RS -1i
.IP "\fBCopyright...\fP" 1i
Pops up the \fIcopyright\fP window.
.IP "\fBQuit\fP" 1i
Causes \fIgv\fP to exit.
.SH KEYBOARD ACCELERATORS
Most of the popup menu commands have an equivalent action that can be
invoked from the keyboard.  The popup menu entry must be sensitive (i.e. not grayed
out) for the action to have effect.  Here is the default keyboard binding:
.IP \fBQ\fP 1i
Bound to \fBGvQuit()\fP which is
equivalent to pushing the \fBQuit\fP button.
.IP "\fBBackSpace\fP, \fBDelete\fP, \fBPrior\fP, \fBB\fP" 1i
Bound to \fBGvPrevious()\fP which is
equivalent to pushing the \fBPrev Page\fP button.
.IP "\fBspace\fP, \fBReturn\fP, \fBNext\fP, \fBF\fP" 1i
Bound to \fBGvNext()\fP which is
equivalent to pushing the \fBNext Page\fP button.
.IP "\fBperiod\fP, \fBCtrl\-L\fP" 1i
Bound to \fBGvShow()\fP which is
equivalent to pushing the \fBRedisplay\fP button.
.IP \fB0\fP 1i
Bound to \fBGvMagstep(0)\fP which is
equivalent to pushing the \fB0\fP menu button on the \fBMagstep\fP menu.
.IP \fB1\fP 1i
Bound to \fBGvMagstep(1)\fP which is
equivalent to pushing the \fB1\fP menu button on the \fBMagstep\fP menu.
.IP \fB2\fP 1i
Bound to \fBGvMagstep(2)\fP which is
equivalent to pushing the \fB2\fP menu button on the \fBMagstep\fP menu.
.IP \fB3\fP 1i
Bound to \fBGvMagstep(3)\fP which is
equivalent to pushing the \fB3\fP menu button on the \fBMagstep\fP menu.
.IP \fB4\fP 1i
Bound to \fBGvMagstep(4)\fP which is
equivalent to pushing the \fB4\fP menu button on the \fBMagstep\fP menu.
.IP \fB5\fP 1i
Bound to \fBGvMagstep(5)\fP which is
equivalent to pushing the \fB5\fP menu button on the \fBMagstep\fP menu.
.IP \fB+\fP 1i
Bound to \fBGvIncreaseMagstep()\fP which increases the magstep by 1.
.IP \fB-\fP 1i
Bound to \fBGvDecreaseMagstep()\fP which decreases the magstep by 1.
.IP \fBU\fP 1i
Bound to \fBGvUp()\fP which scrolls the main viewport up.
.IP \fBD\fP 1i
Bound to \fBGvDown()\fP which scrolls the main viewport down.
.IP \fBH\fP 1i
Bound to \fBGvLeft()\fP which scrolls the main viewport left.
.IP \fBJ\fP 1i
Bound to \fBGvDown()\fP which scrolls the main viewport down.
.IP \fBK\fP 1i
Bound to \fBGvUp()\fP which scrolls the main viewport up.
.IP \fBL\fP 1i
Bound to \fBGvRight()\fP which scrolls the main viewport right.
.IP "\fBUp\fP (arrow)" 1i
Bound to \fBGvDefault() GvSetOrientation(portrait)\fP which is
equivalent to pushing \fBPortrait\fP with the first mouse button on the
\fBOrientation\fP menu.
.IP "\fBRight\fP (arrow)" 1i
Bound to \fBGvDefault() GvSetOrientation(landscape)\fP which is
equivalent to pushing \fBLandscape\fP with the first mouse button on the
\fBOrientation\fP menu.
.IP "\fBDown\fP (arrow)" 1i
Bound to \fBGvDefault() GvSetOrientation(upside\-down)\fP which is
equivalent to pushing \fBUpside\-down\fP with the first mouse button on the
\fBOrientation\fP menu.
.IP "\fBLeft\fP (arrow)" 1i
Bound to \fBGvDefault() GvSetOrientation(seascape)\fP which is
equivalent to pushing \fBSeascape\fP with the first mouse button on the
\fBOrientation\fP menu.
.IP "\fBShift\-Up\fP (arrow)" 1i
Bound to \fBGvForce() GvSetOrientation(portrait)\fP which is
equivalent to pushing \fBPortrait\fP with the second mouse button on the
\fBOrientation\fP menu.
.IP "\fBShift\-Right\fP (arrow)" 1i
Bound to \fBGvForce() GvSetOrientation(landscape)\fP which is
equivalent to pushing \fBLandscape\fP with the second mouse button on the
\fBOrientation\fP menu.
.IP "\fBShift\-Down\fP (arrow)" 1i
Bound to \fBGvForce() GvSetOrientation(upside\-down)\fP which is
equivalent to pushing \fBUpside\-down\fP with the second mouse button on the
\fBOrientation\fP menu.
.IP "\fBShift\-Left\fP (arrow)" 1i
Bound to \fBGvForce() GvSetOrientation(seascape)\fP which is
equivalent to pushing \fBSeascape\fP with the second mouse button on the
\fBOrientation\fP menu.
.SH ACTIONS
Most of the popup menu commands have an equivalent action that can be
used in a translation.  The popup menu entry must be sensitive (i.e. not grayed
out) for the action to have effect.  Here is the list of actions:
.IP \fBGvCopyright()\fP 1i
Equivalent to pushing the \fBCopyright...\fP button.
.IP \fBGvQuit()\fP 1i
Equivalent to pushing the \fBQuit\fP button.
.IP \fBGvPrevious()\fP 1i
Equivalent to pushing the \fBPrev Page\fP button.
.IP \fBGvNext()\fP 1i
Equivalent to pushing the \fBNext Page\fP button.
.IP \fBGvShow()\fP 1i
Equivalent to pushing the \fBRedisplay\fP button.
.IP \fBGvSetMagstep(magstep)\fP 1i
Sets the magstep.  The parameter must be an integer.
.IP \fBGvIncreaseMagstep()\fP 1i
Increases magstep by one.
.IP \fBGvDecreaseMagstep()\fP 1i
Decreases magstep by one.
.IP \fBGvSetOrientation(orientation)\fP 1i
Set the orientation to the passed parameter.  The parameter must be
\fBportrait\fP, \fBlandscape\fP, \fBupside\-down\fP, or \fBseascape\fP.
.IP \fBGvSwapLandscape()\fP 1i
Equivalent to pushing the \fBSwap Landscape\fP menu button on the \fBOrientation\fP menu.
.IP \fBGvSetPageMedia(media\-name)\fP 1i
Sets the media.  The parameter should be either a media defined in the
document or a standard media.
.IP \fBGvDefault()\fP 1i
The orientation or media being set is not forced on the document.
This action is called before the action that sets the orientation
or media.
.IP \fBGvForce()\fP 1i
The orientation or media being set is forced on the document.
This action is called before the action that sets the orientation
or media.
.IP \fBGvDeleteWindow()\fP 1i
Destroy the current window.  This provides a way to implement the Delete Window
protocol for window managers.
.IP \fBGvDismiss()\fP 1i
Pop down the current window.  This provides a way to implement the Delete Window
protocol for window managers.
.IP \fBGvScrollUp()\fP 1i
Scroll the main viewport up.
.IP \fBGvScrollDown()\fP 1i
Scroll the main viewport down.
.IP \fBGvScrollLeft()\fP 1i
Scroll the main viewport left.
.IP \fBGvScrollRight()\fP 1i
Scroll the main viewport right.
.IP \fBGvCheckFile()\fP 1i
Checks to see if the file changed and refreshes the screen if necessary.
.SH APPLICATION RESOURCES
The following application resources may be set to
control the default behavior of \fIgv\fP.
.IP "\fBshowTitle (\fPclass\fB Labels)\fP" 1i
Tells whether to display the \fB%%Title\fP comment.
The default is ``true''.
.IP "\fBshowDate (\fPclass\fB Labels)\fP" 1i
Tells whether to display the \fB%%Data\fP comment.
The default is ``true''.
.IP "\fBautoCenter (\fPclass\fB AutoCenter)\fP" 1i
Tells whether to center the page within the viewport whenever the page size
changes.
The default is ``true''.
.IP "\fBhorizonalMargin (\fPclass\fB Margin)\fP" 1i
Tells how many pixels gv should reserve for window decorations
in the horizontal direction.
The default value is ``20''.
.IP "\fBverticalMargin (\fPclass\fB Margin)\fP" 1i
Tells how many pixels gv should reserve for window decorations
in the vertical direction.
The default value is ``44''.
.IP "\fBminimumMagstep (\fPclass\fB Magstep)\fP" 1i
Tells the smallest magstep to display.
The default is ``-5''.
.IP "\fBmaximumMagstep (\fPclass\fB Magstep)\fP" 1i
Tells the largest magstep to display.
The default is ``5''.
.IP "\fBmagstep (\fPclass\fB Magstep)\fP" 1i
Sets the default magstep.
The default is ``0''.
.IP "\fBorientation (\fPclass\fB Orientation)\fP" 1i
Sets the default orientation.
The default is ``Portrait''.
.IP "\fBpage (\fPclass\fB Page)\fP" 1i
Gives the initial page to display.  This resource only affects the display
of the file listed on the command line.
The default is NULL.
.IP "\fBpageMedia (\fPclass\fB PageMedia)\fP" 1i
Sets the default page media.
The default is ``Letter''.
.IP "\fBforceOrientation (\fPclass\fB Force)\fP" 1i
Tells whether to force the orientation on the document.
The default is ``false''.
.IP "\fBforcePageMedia (\fPclass\fB Force)\fP" 1i
Tells whether to force the page media on the document.
The default is ``false''.
.IP "\fBswapLandscape (\fPclass\fB SwapLandscape)\fP" 1i
Tells whether to swap the meaning of Landscape and Seascape.
The default is ``false''.
.IP "\fBopenWindows (\fPclass\fB OpenWindows)\fP" 1i
OpenWindows servers sometimes cause error messages about bitmaps not being
1 bit deep.  Turning on this resource avoids the problem by not using any
bitmaps.  You lose the functionality of having the current magstep,
orientation and media marked on the popup menus.
The default value is ``false''.
.IP "\fBncdwm (\fPclass\fB Ncdwm)\fP" 1i
The Xt Intrinsics has a bug that causes bogus information in
the window manager size hints.  \fINcdwm\fP and possibly other window managers
get confused by the bogus information and make the window extremely small.
\fITwm\fP and \fImwm\fP ignore the bogus information.  Turning on the resource avoids
the problem with \fIncdwm\fP by doing things slightly differently.  However, this
can confuse other window managers such as \fImwm\fP.  This bug is fixed in X11R5
fix-10.
You should only set this resource if you have the problem.
The default value is ``false''.
.SH GHOSTVIEW WIDGET RESOURCES
Certain resources in the Gv widget may be set by the user.
These selected resources are presented below.
.IP "\fBarguments (\fPclass\fB Arguments)\fP" 1i
Additional arguments passed to the interpreter.
It is convenient to name files that preload fonts here for PostScript programs
that continually reload fonts while rendering a page.
The default is no additional arguments.
.IP "\fBbusyCursor (\fPclass\fB Cursor)\fP" 1i
The cursor shown when \fIghostscript\fP is rendering to the window.
The busy cursor is set to the ``watch'' by the application defaults.
.IP "\fBcursor (\fPclass\fB Cursor)\fP" 1i
The cursor shown when \fIghostscript\fP is idle.
The default cursor is the ``crosshair''.
.IP "\fBinterpreter (\fPclass\fB Interpreter)\fP" 1i
The name of the executable to call to render the PostScript.
It is convenient to set this resource to the path of an alternate
version of ghostscript for testing.
The default value is ``gs''.
.IP "\fBpalette (\fPclass\fB Palette)\fP" 1i
Tells \fIghostscript\fP how to restrict the palette used when rendering.
The possible values are ``color'', ``grayscale'', and ``monochrome''.
The default value is ``color''.
.IP "\fBquiet (\fPclass\fB Quiet)\fP" 1i
Tells \fIghostscript\fP whether to supress informational messages.
The default value is ``true''.
.IP "\fBsafer (\fPclass\fB Safer)\fP" 1i
Tells \fIghostscript\fP whether to run in ``safer'' mode.
The default value is ``true''.
.IP "\fBuseBackingPixmap (\fPclass\fB UseBackingPixmap)\fP" 1i
Tells whether to use a backing pixmap.  If this resource
is false, backing store is requested on the Gv window.
Some X servers have limited resources for large pixmaps.
Also, some X servers' backing store is much faster
than using a backing pixmap.  You should reset this resource if your
X server is one of the server types mentioned.
The default value is ``true''.
.IP "\fBxdpi (\fPclass\fB Resolution)\fP" 1i
Sets the X resolution of the window in dots per inch.
You can use this resource to affect the main window.
The default value is calculated from the screen metrics.
.IP "\fBydpi (\fPclass\fB Resolution)\fP" 1i
Sets the Y resolution of the window in dots per inch.
You can use this resource to affect the main window.
The default value is calculated from the screen metrics.
.SH OPTIONS
.IP \fB\-monochrome\fP 1i
Equivalent to setting ``*Gv.palette: Monochrome''.
.IP \fB\-grayscale\fP 1i
Equivalent to setting ``*Gv.palette: GrayScale''.
.IP \fB\-color\fP 1i
Equivalent to setting ``*Gv.palette: Color''.
.IP \fB\-title\fP 1i
Equivalent to setting ``Gv.showTitle: True''.
.IP \fB\-notitle\fP 1i
Equivalent to setting ``Gv.showTitle: False''.
.IP \fB\-date\fP 1i
Equivalent to setting ``Gv.showDate: True''.
.IP \fB\-nodate\fP 1i
Equivalent to setting ``Gv.showDate: False''.
.IP \fB\-labels\fP 1i
Equivalent to setting ``Gv.Labels: True''.
.IP \fB\-nolabels\fP 1i
Equivalent to setting ``Gv.Labels: False''.
.IP "\fB\-resolution\fP \fIdpi\fP" 1i
Equivalent to setting ``*Gv.Resolution: \fIdpi\fP''.
.IP "\fB\-dpi\fP \fIdpi\fP" 1i
Equivalent to setting ``*Gv.Resolution: \fIdpi\fP''.
.IP "\fB\-xdpi\fP \fIdpi\fP" 1i
Equivalent to setting ``*Gv.xdpi: \fIdpi\fP''.
.IP "\fB\-ydpi\fP \fIdpi\fP" 1i
Equivalent to setting ``*Gv.ydpi: \fIdpi\fP''.
.IP "\fB\-magstep\fP \fImagstep\fP" 1i
Equivalent to setting ``Gv.magstep: \fImagstep\fP''.
.IP \fB\-safer\fP 1i
Equivalent to setting ``*Gv.safer: True''.
.IP \fB\-nosafer\fP 1i
Equivalent to setting ``*Gv.safer: False''.
.IP \fB\-quiet\fP 1i
Equivalent to setting ``*Gv.quiet: True''.
.IP \fB\-noquiet\fP 1i
Equivalent to setting ``*Gv.quiet: False''.
.IP "\fB\-arguments\fP \fIarguments\fP" 1i
Equivalent to setting ``*Gv.arguments: \fIarguments\fP''.
.IP \fB\-center\fP 1i
Equivalent to setting ``Gv.autoCenter: True''.
.IP \fB\-nocenter\fP 1i
Equivalent to setting ``Gv.autoCenter: False''.
.IP \fB\-portrait\fP 1i
Equivalent to setting ``Gv.orientation: Portrait''.
.IP \fB\-landscape\fP 1i
Equivalent to setting ``Gv.orientation: Landscape''.
.IP \fB\-upsidedown\fP 1i
Equivalent to setting ``Gv.orientation: Upside\-down''.
.IP \fB\-seascape\fP 1i
Equivalent to setting ``Gv.orientation: Seascape''.
.IP \fB\-swap\fP 1i
Equivalent to setting ``Gv.swapLandscape: True''.
.IP \fB\-noswap\fP 1i
Equivalent to setting ``Gv.swapLandscape: False''.
.IP \fB\-letter\fP 1i
Equivalent to setting ``Gv.pageMedia: Letter''.
.IP \fB\-tabloid\fP 1i
Equivalent to setting ``Gv.pageMedia: Tabloid''.
.IP \fB\-ledger\fP 1i
Equivalent to setting ``Gv.pageMedia: Ledger''.
.IP \fB\-legal\fP 1i
Equivalent to setting ``Gv.pageMedia: Legal''.
.IP \fB\-statement\fP 1i
Equivalent to setting ``Gv.pageMedia: Statement''.
.IP \fB\-executive\fP 1i
Equivalent to setting ``Gv.pageMedia: Executive''.
.IP \fB\-a3\fP 1i
Equivalent to setting ``Gv.pageMedia: A3''.
.IP \fB\-a4\fP 1i
Equivalent to setting ``Gv.pageMedia: A4''.
.IP \fB\-a5\fP 1i
Equivalent to setting ``Gv.pageMedia: A5''.
.IP \fB\-b4\fP 1i
Equivalent to setting ``Gv.pageMedia: B4''.
.IP \fB\-b5\fP 1i
Equivalent to setting ``Gv.pageMedia: B5''.
.IP \fB\-folio\fP 1i
Equivalent to setting ``Gv.pageMedia: Folio''.
.IP \fB\-quarto\fP 1i
Equivalent to setting ``Gv.pageMedia: Quarto''.
.IP \fB\-10x14\fP 1i
Equivalent to setting ``Gv.pageMedia: 10x14''.
.IP \fB\-force\fP 1i
Equivalent to setting ``Gv.Force: True''.
.IP \fB\-forceorientation\fP 1i
Equivalent to setting ``Gv.forceOrientation: True''.
.IP \fB\-forcemedia\fP 1i
Equivalent to setting ``Gv.forcePageMedia: True''.
.IP \fB\-openwindows\fP 1i
Equivalent to setting ``Gv.openWindows: True''.
.IP \fB\-noopenwindows\fP 1i
Equivalent to setting ``Gv.openWindows: False''.
.IP \fB\-ncdwm\fP 1i
Equivalent to setting ``Gv.ncdwm: True''.
.IP \fB\-noncdwm\fP 1i
Equivalent to setting ``Gv.ncdwm: False''.
.IP "\fB\-page\fP \fIlabel\fP" 1i
Equivalent to setting ``Gv.page: \fIlabel\fP''.
.SH WIDGET HIERARCHY
.nf
\fIThe hierarchy of the gv application:\fR
.sp
.DT
Gv  gv
	Form  form
		MenuButton  titleButton
			SimpleMenu  menu
				SmeBSB  title
		MenuButton  dateButton
			SimpleMenu  menu
				SmeBSB  date
		Box  box
			Command  nextButton
			Command  prevButton
			Command  showButton
			MenuButton  magstepButton
				SimpleMenu  menu
					SmeBSB  -5
					SmeBSB  -4
					SmeBSB  -3
					SmeBSB  -2
					SmeBSB  -1
					SmeBSB  0
					SmeBSB  1
					SmeBSB  2
					SmeBSB  3
					SmeBSB  4
					SmeBSB  5
			MenuButton  orientationButton
				SimpleMenu  menu
					SmeBSB  portrait
					SmeBSB  landscape
					SmeBSB  upsidedown
					SmeBSB  seascape
					SmeLine  line
					SmeBSB  swap
			MenuButton  pagemediaButton
				SimpleMenu  menu
					SmeBSB  Letter
					SmeBSB  Tabloid
					SmeBSB  Ledger
					SmeBSB  Legal
					SmeBSB  Statement
					SmeBSB  Executive
					SmeBSB  A3
					SmeBSB  A4
					SmeBSB  A5
					SmeBSB  B4
					SmeBSB  B5
					SmeBSB  Folio
					SmeBSB  Quarto
					SmeBSB  10x14
			Command  copyright
			Command  quit
		Text  toc
		Viewport  pageview
			Core  clip
			Gv  page
			Scrollbar  horizontal
			Scrollbar  vertical
	TopLevelShell  information
		Form  form
			Text  text
			Command  dismiss
	TopLevelShell  copyright
		Form  form
			Text  text
			Command  dismiss
.sp
.SH LIMITATIONS
If the document does not begin with ``%!PS\-Adobe\-'', it does not
claim conformance to the document structuring convention.
When these documents are encountered, the functionality of \fIgv\fP
is limited to giving you scroll bars and a next page capability.
Because there is no table of contents,
skipping around the document and marking pages is impossible.
.SH AUTHOR
Modified from Ghostview, which is
Copyright (C) 1992  Timothy O. Theisen
.PP
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
.PP
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
.PP
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
.sp
.ta 1.0i 3.0i
.nf
Author:	Tim Theisen	Systems Programmer
Internet:	tim@cs.wisc.edu	Department of Computer Sciences
UUCP:	uwvax!tim	University of Wisconsin\-Madison
Phone:	(608)262\-0438	1210 West Dayton Street
FAX:	(608)262\-9777	Madison, WI   53706
.fi
